Bug 492426 - AttributeError: 'LVMVolumeGroupDevice' object has no attribute 'partedFlags'
AttributeError: 'LVMVolumeGroupDevice' object has no attribute 'partedFlags'
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
ppc Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
anaconda_trace_hash:03db9f597d2e45258...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-26 15:41 EDT by James Laska
Modified: 2013-09-02 02:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-31 17:12:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Attached traceback automatically from anaconda. (186.07 KB, text/plain)
2009-03-26 15:41 EDT, James Laska
no flags Details
Attached traceback automatically from anaconda. (229.14 KB, text/plain)
2009-04-02 22:46 EDT, Tony Breeds
no flags Details
Attached traceback automatically from anaconda. (223.39 KB, text/plain)
2009-04-07 20:08 EDT, Tony Breeds
no flags Details

  None (edit)
Description James Laska 2009-03-26 15:41:50 EDT
The following was filed automatically by anaconda:
anaconda 11.5.0.38 exception report
Traceback (most recent call first):
  File "/usr/lib/anaconda/booty/ppc.py", line 19, in getBootDevs
    if dev.partedFlags[parted.PARTITION_PREP] and not dev.format.exists:
  File "/usr/lib/anaconda/booty/ppc.py", line 45, in writeYaboot
    yabootTarget = string.join(self.getBootDevs(bl))
  File "/usr/lib/anaconda/booty/ppc.py", line 171, in write
    chainList, defaultDev, justConfig)
  File "/usr/lib/anaconda/bootloader.py", line 191, in writeBootloader
    justConfigFile)
  File "/usr/lib/anaconda/dispatch.py", line 205, in moveStep
    rc = stepFunc(self.anaconda)
  File "/usr/lib/anaconda/dispatch.py", line 128, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/gui.py", line 1317, in nextClicked
    self.anaconda.dispatch.gotoNext()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 79, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 1338, in handleRenderCallback
    self.currentWindow.renderCallback()
AttributeError: 'LVMVolumeGroupDevice' object has no attribute 'partedFlags'
Comment 1 James Laska 2009-03-26 15:41:55 EDT
Created attachment 336875 [details]
Attached traceback automatically from anaconda.
Comment 2 Chris Lumens 2009-03-31 17:12:48 EDT
This will be fixed in the next build of anaconda.  Thanks for the bug report.
Comment 3 Tony Breeds 2009-04-02 22:46:56 EDT
Created attachment 337969 [details]
Attached traceback automatically from anaconda.
Comment 4 Tony Breeds 2009-04-07 20:08:51 EDT
Created attachment 338632 [details]
Attached traceback automatically from anaconda.

Note You need to log in before you can comment on or make changes to this bug.